Package Details: gams 27.1.0-1

Git Clone URL: https://aur.archlinux.org/gams.git (read-only)
Package Base: gams
Description: The General Algebraic Modeling System (GAMS) is a high-level modeling system for mathematical optimization.
Upstream URL: http://www.gams.com/
Keywords: cge modelling optimization
Licenses: custom
Submitter: petres
Maintainer: gaelic
Last Packager: gaelic
Votes: 2
Popularity: 0.020412
First Submitted: 2016-05-26 18:02
Last Updated: 2019-05-04 19:43

Latest Comments

jackjackk commented on 2019-05-04 13:05

I'm having the following warnings:

strip: ./opt/gams/GMSPython/lib/python3.6/lib-dynload/stHLqql5: not enough room for program headers, try linking with -N
strip:./opt/gams/GMSPython/lib/python3.6/lib-dynload/stHLqql5[.hash]: bad value
strip: ./opt/gams/stlrD6ov: not enough room for program headers, try linking with -N
strip:./opt/gams/stlrD6ov[.hash]: bad value

would it make sense to add

options=('!strip')

to the PKGBUILD? thanks

gaelic commented on 2019-02-12 14:43

thx. I'll update it. Else I could disown again and just work as co-maintainer, let me know :)

petres commented on 2019-02-12 14:34

@gaelic, I will disown the package, feel free to take it!

gaelic commented on 2019-02-12 14:17

Heres an updated pkgbuild:

Maintainer: Peter Reschenhofer < peterreschenhofer at gmail dot com >

pkgname=gams pkgver=26.1.0 pkgrel=1 pkgdesc="The General Algebraic Modeling System (GAMS) is a high-level modeling system for mathematical optimization." arch=('x86_64') license=('custom') url="http://www.gams.com/" depends=() conflicts=()

source=("https://d37drm4t2jghv5.cloudfront.net/distributions/${pkgver}/linux/linux_x64_64_sfx.exe")

sha256sums=("1eb8d551ce3489cb10e062566f9b3da7e1e98079d75c692540ff41101c7c024c")

package() { install -d ${pkgdir}/{opt/gams,usr/bin} cp -r ${srcdir}/gams_linux_x64_64_sfx/ ${pkgdir}/opt/gams/ ln -s "/opt/gams/gams" "$pkgdir/usr/bin/gams" }